EDIT - bug #6961

Drag&Drop for taxon nodes throws NPE when hovering Classification
09/20/2017 03:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

login

editor version : 4.10.0.201709192246

server ()

schema version
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionClass.getValueOf
(CdmPermissionClass. java:40)

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmAuthority.<init> (CdmAuthor
ity.java:82)

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionEvaluator.author
ityRequiredFor (CdmPermissionEvaluator.java:183)

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionEvaluator.hasPer
mission (CdmPermissionEvaluator.java:91)

at eu.etaxonomy.taxeditor.store.CdmStore.currentAuthentiationHasPermission (CdmStor
e.java:443)

at eu.etaxonomy.taxeditor.navigation.navigator.TreeNodeDropAdapterAssistant.valida
teDrop (TreeNodeDropAdapterAssistant. java:123)

at org.eclipse.ui.navigator.CommonDropAdapter$2.run (CommonDropAdapter.java:237)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.navigator.CommonDropAdapter.validateDrop (CommonDropAdapter. java:
233)

at org.eclipse.jface.viewers.ViewerDropAdapter.doDropValidation (ViewerDropAdapter.
java:204)

at org.eclipse.jface.viewers.ViewerDropAdapter.dragOver (ViewerDropAdapter.java:241

at org.eclipse.swt.dnd.DNDListener.handleEvent (DNDListener. java:81)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1088)

at org.eclipse.swt.widgets.Widget.notifyListeners (Widget.java:802)

at org.eclipse.swt.dnd.DropTarget.DragOver (DropTarget.java:380)

at org.eclipse.swt.dnd.DropTarget.DragOver_64 (DropTarget.java:352)

at org.eclipse.swt.dnd.DropTarget$3.method4 (DropTarget. java:260)

at org.eclipse.swt.internal.ole.win32.COMObject.callback4 (COMObject.java:101)

at org.eclipse.swt.internal.ole.win32.COM.DoDragDrop (Native Method)

at org.eclipse.swt.dnd.DragSource.drag(DragSource. java:378)

at org.eclipse.swt.dnd.DragSource.access$0 (DragSource. java:304)

at org.eclipse.swt.dnd.DragSource$l.handleEvent (DragSource. java:173)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl

ipseAppLauncher. java:134)
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLa

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
NativeMethodAccessorImpl.invokeO (Native Method)
NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run (Main. java:1519)

Related issues:

Related to EDIT - bug #6894: NPE when trying drag&drop a Classification to th... Closed
Related to EDIT - feature request #6977: check TreeNodeDropAdapterAssistant a... Rejected

Associated revisions

Revision e2a02bc3 - 09/20/2017 03:11 PM - Andreas Miiller

fix #6961 fix NPE for TaxonNode d&d when hovering classification

Revision 9aa59538 - 09/20/2017 04:11 PM - Andreas Miiller

fix #6961 fix NPE for TaxonNode d&d when hovering classification in AdapterAssistant class

Revision fa8083dd - 09/21/2017 06:30 PM - Andreas Miiller

fix #6961 fix further potential NPEs in TreeNodeDropAdapter and TreeNodeDropAdapterAssistant and cleanup

Revision 1cefec6b - 09/21/2017 10:20 PM - Andreas Miiller
fix #6961 fix further NPEs in TreeNodeDropAdapter and TreeNodeDropAdapterAssistant

History

#1 - 09/20/2017 03:11 PM - Andreas Miiller

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|e2a02bc30e4c5fb72bb85b1b0e0b8edbb53923f4.

#2 - 09/20/2017 04:58 PM - Andreas Miller

- Assignee changed from Andreas Miiller to Katja Luther

- Priority changed from New to Priority14

Can you please review?

What | do not understand is the difference between TreeNodeDropAdapterAssistant and TreeNodeDropAdapter.

They look both very similar. Are they both needed?

#3 - 09/21/2017 06:35 PM - Andreas Miiller
- Related to bug #6894: NPE when trying drag&drop a Classification to the GrantedAuthority editor added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/e2a02bc30e4c5fb72bb85b1b0e0b8edbb53923f4

#4 - 09/22/2017 02:58 PM - Katja Luther

- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

works now.

I will check the two classes (create a new ticket and close this one)

#5 - 09/22/2017 03:00 PM - Katja Luther
- Related to feature request #6977: check TreeNodeDropAdapterAssistant and TreeNodeDropAdapter if both are needed added
